import { AdminDocumentService } from "./document.service";
import { UpdateDocumentDto } from "./document.dto";
import { FirebaseService } from "src/appapi/fcm/firebase.service";
import { UserService } from "src/appapi/user/user.services";
export declare class AdminDocumentController {
    private readonly adminDocumentService;
    private readonly firebaseService;
    private readonly userService;
    constructor(adminDocumentService: AdminDocumentService, firebaseService: FirebaseService, userService: UserService);
    create(createDocumentDto: any, req: any): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(req: any, query: Record<string, string>): Promise<{
        status: boolean;
        message: string;
        data: any;
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/document/document.entity").Document;
    }>;
    update(id: string, UpdateDocumentDto: UpdateDocumentDto[], req: any): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
